/* IRCfs - IRC FileServ for *nix.
 * Copyright (C) 2002  Nick 'Zaf' Clifford <zaf@nrc.co.nz>
 * For licensing details, refer to the LICENSE file in the source 
 * code directory.
 */
#ifndef __include_fserv_h__
#define __include_fserv_h__

#include "server.h"

struct fserv;

enum fserv_triggers {
	fserv_trigger_none=0x0,
	fserv_trigger_private=0x01,
	fserv_trigger_channel=0x02,
	fserv_trigger_ctcp=0x04
};

struct fserv *fserv_create();

int fserv_open(struct fserv *f, struct user *u);


#endif
